Bug 803532 - [abrt] gnucash-2.4.10-1.fc16: gnc_commodity_get_fraction: Process /usr/bin/gnucash was killed by signal 11 (SIGSEGV)
[abrt] gnucash-2.4.10-1.fc16: gnc_commodity_get_fraction: Process /usr/bin/gn...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnucash (Show other bugs)
16
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Bill Nottingham
Fedora Extras Quality Assurance
abrt_hash:032d08a8ade244a54a318f6c73b...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-14 19:04 EDT by Paul Bakke
Modified: 2014-03-16 23:30 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 14:33:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: dso_list (16.12 KB, text/plain)
2012-03-14 19:04 EDT, Paul Bakke
no flags Details
File: build_ids (7.17 KB, text/plain)
2012-03-14 19:04 EDT, Paul Bakke
no flags Details
File: gconf_subtree (9.75 KB, text/plain)
2012-03-14 19:04 EDT, Paul Bakke
no flags Details
File: maps (46.35 KB, text/plain)
2012-03-14 19:04 EDT, Paul Bakke
no flags Details
File: backtrace (36.75 KB, text/plain)
2012-03-14 19:04 EDT, Paul Bakke
no flags Details

  None (edit)
Description Paul Bakke 2012-03-14 19:04:29 EDT
libreport version: 2.0.8
abrt_version:   2.0.7
backtrace_rating: 4
cmdline:        gnucash
comment:        I was trying to cut one transaction from one business set of books and paste it into another business set of books.
crash_function: gnc_commodity_get_fraction
executable:     /usr/bin/gnucash
kernel:         3.2.9-2.fc16.i686.PAE
pid:            8529
pwd:            /home/Paul
reason:         Process /usr/bin/gnucash was killed by signal 11 (SIGSEGV)
time:           Wed 14 Mar 2012 03:25:26 PM MDT
uid:            1000
username:       Paul

backtrace:      Text file, 37628 bytes
build_ids:      Text file, 7339 bytes
dso_list:       Text file, 16503 bytes
gconf_subtree:  Text file, 9989 bytes
maps:           Text file, 47463 bytes

environ:
:XDG_VTNR=1
:XDG_SESSION_ID=2
:HOSTNAME=jc.bakkenet
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:SHELL=/bin/bash
:TERM=dumb
:HISTSIZE=1000
:XDG_SESSION_COOKIE=c88947ac82292eaf5ad5e9d30000000d-1331744049.827718-480294019
:GNOME_KEYRING_CONTROL=/tmp/keyring-uXR65U
:IMSETTINGS_MODULE=none
:USER=Paul
:USERNAME=Paul
:MAIL=/var/spool/mail/Paul
:PATH=/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin:/home/Paul/.local/bin:/home/Paul/bin
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/home/Paul
:XMODIFIERS=@im=none
:KDE_IS_PRELINKED=1
:GNOME_KEYRING_PID=1713
:LANG=en_US.UTF-8
:KDEDIRS=/usr
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:HOME=/home/Paul
:XDG_SEAT=seat0
:SHLVL=1
:LOGNAME=Paul
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-f5nYe06Z0m,guid=f82bc6af7b71970802a83a3a0000002f
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/Paul
:DISPLAY=:0
:XAUTHORITY=/var/run/gdm/auth-for-Paul-8eYAUs/database
:_=/usr/bin/gnome-session
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1719,unix/unix:/tmp/.ICE-unix/1719
:SSH_AUTH_SOCK=/tmp/keyring-uXR65U/ssh
:GPG_AGENT_INFO=/tmp/keyring-uXR65U/gpg:0:1
:GJS_DEBUG_OUTPUT=stderr
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:DESKTOP_STARTUP_ID=gnome-shell-1960-jc.bakkenet-gnucash-3_TIME12127316
:GIO_LAUNCHED_DESKTOP_FILE=/usr/share/applications/gnome-gnucash.desktop
:GIO_LAUNCHED_DESKTOP_FILE_PID=8529

smolt_data:
:
:
:General
:=================================
:UUID: 9a8d67d5-8449-43f6-8cba-681a75af0d8f
:OS: Fedora release 16 (Verne)
:Default run level: Unknown
:Language: en_US.UTF-8
:Platform: i686
:BogoMIPS: 5023.77
:CPU Vendor: AuthenticAMD
:CPU Model: AMD Athlon(tm) 7550 Dual-Core Processor
:CPU Stepping: 3
:CPU Family: 16
:CPU Model Num: 2
:Number of CPUs: 2
:CPU Speed: 2500
:System Memory: 2772
:System Swap: 4831
:Vendor: To Be Filled By O.E.M.
:System: To Be Filled By O.E.M. To Be Filled By O.E.M.
:Form factor: Desktop
:Kernel: 3.2.9-2.fc16.i686.PAE
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(4318:1004:6217:1004) pci, pata_amd, STORAGE, 939NF6G-VSTA Board
:(4318:1007:6217:1007) pci, forcedeth, BRIDGE, 939NF6G-VSTA Board
:(4318:994:6217:994) pci, None, RAM, MCP61 LPC Bridge
:(4318:1013:6217:1003) pci, None, RAM, 939NF6G-VSTA Board
:(4318:1003:6217:1003) pci, nForce2_smbus, SERIAL, 939NF6G-VSTA Board
:(4318:993:6217:993) pci, None, PCI/ISA, MCP61 LPC Bridge
:(4130:4612:0:0) pci, None, HOST/PCI, Family 10h Processor Link Control
:(4130:4609:0:0) pci, None, HOST/PCI, Family 10h Processor Address Map
:(4130:4608:0:0) pci, None, HOST/PCI, Family 10h Processor HyperTransport Configuration
:(4130:4611:0:0) pci, None, HOST/PCI, Family 10h Processor Miscellaneous Control
:(4130:4610:0:0) pci, None, HOST/PCI, Family 10h Processor DRAM Controller
:(4318:1009:6217:1009) pci, ohci_hcd, USB, 939NF6G-VSTA Board
:(4318:1010:6217:1010) pci, ehci_hcd, USB, 939NF6G-VSTA Board
:(4318:1014:6217:1014) pci, sata_nv, STORAGE, 939NF6G-VSTA Board
:(4318:1014:6217:1014) pci, sata_nv, STORAGE, 939NF6G-VSTA Board
:(5361:12064:5361:8204) pci, None, SIMPLE, Soft Data Fax Modem with SmartCP
:(4318:982:6217:982) pci, nouveau, VIDEO, C61 [GeForce 7025 / nForce 630a]
:(4318:1000:6217:1000) pci, pcieport, PCI/PCI, 939NF6G-VSTA Board
:(4318:1011:6217:1011) pci, None, PCI/PCI, 939NF6G-VSTA Board
:(4318:1001:6217:1001) pci, pcieport, PCI/PCI, 939NF6G-VSTA Board
:(4318:1008:6217:919) pci, snd_hda_intel, MULTIMEDIA, MCP61 High Definition Audio
:(4318:1001:6217:1001) pci, pcieport, PCI/PCI, 939NF6G-VSTA Board
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/mapper/vg_jc-lv_root / ext4 4096 4096 13081819 10556331 9900971 3276800 2995869 2995869
:/dev/sda2 /boot ext4 1024 1024 508745 412746 387146 128016 127787 127787
:/dev/mapper/vg_jc-lv_home /home ext4 4096 4096 63594136 12809819 9626408 15917056 15856976 15856976
:/dev/sdb1 WITHHELD vfat UNKNOWN UNKNOWN UNKNOWN UNKNOWN UNKNOWN UNKNOWN UNKNOWN UNKNOWN
:/dev/sdd1 WITHHELD vfat UNKNOWN UNKNOWN UNKNOWN UNKNOWN UNKNOWN UNKNOWN UNKNOWN UNKNOWN
:/dev/sr0 WITHHELD iso9660 UNKNOWN UNKNOWN UNKNOWN UNKNOWN UNKNOWN UNKNOWN UNKNOWN UNKNOWN
:

var_log_messages:
:Mar 12 11:05:31 jc yum[26715]: Installed: gnucash-docs-2.4.1-1.fc16.noarch
:Mar 12 11:05:50 jc yum[26715]: Installed: gnucash-2.4.10-1.fc16.i686
:Mar 14 15:25:26 jc kernel: [16324.222872] gnucash[8529]: segfault at 14 ip b7565462 sp bffc5c40 error 4 in libgncmod-engine.so[b7517000+114000]
:Mar 14 15:25:27 jc abrt[10048]: Saved core dump of pid 8529 (/usr/bin/gnucash) to /var/spool/abrt/ccpp-2012-03-14-15:25:26-8529 (112189440 bytes)

xsession_errors:
:Warning! /home/Paul/BBCMG 2011 Books.gnucash.a8c06e01.8529.LNK refers to a file with more than one hard link, not fixing hard links.
:Warning! /home/Paul/BBCMG 2011 Books.gnucash refers to a file with more than one hard link, not fixing hard links.
:Warning! /home/Paul/BBCMG 2011 Books.gnucash.20120314142504.gnucash refers to a file with more than one hard link, not fixing hard links.
:Warning! /home/Paul/BBCMG 2011 Books.gnucash refers to a file with more than one hard link, not fixing hard links.
:Warning! /home/Paul/BBCMG 2011 Books.gnucash.20120314142739.gnucash refers to a file with more than one hard link, not fixing hard links.
:Warning! /home/Paul/BBCMG 2011 Books.gnucash refers to a file with more than one hard link, not fixing hard links.
:Warning! /home/Paul/BBCMG 2011 Books.gnucash.a8c06e01.8529.LNK refers to a file with more than one hard link, not fixing hard links.
Comment 1 Paul Bakke 2012-03-14 19:04:32 EDT
Created attachment 570120 [details]
File: dso_list
Comment 2 Paul Bakke 2012-03-14 19:04:34 EDT
Created attachment 570121 [details]
File: build_ids
Comment 3 Paul Bakke 2012-03-14 19:04:35 EDT
Created attachment 570122 [details]
File: gconf_subtree
Comment 4 Paul Bakke 2012-03-14 19:04:36 EDT
Created attachment 570123 [details]
File: maps
Comment 5 Paul Bakke 2012-03-14 19:04:38 EDT
Created attachment 570124 [details]
File: backtrace
Comment 6 Fedora End Of Life 2013-01-16 11:09:37 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Fedora End Of Life 2013-02-13 14:33:07 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.